sparkcrawlDocs

Simulate unit economics for a bounded sample

POST
/api/v1/pricing/simulate

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Request Body

application/json
  1. body
validatedSuccesses*integer
Range0 <= value <= 10000000
upstreamUsd*number
Range0 <= value <= 1000000
billableUpstreamUsd*number
Range0 <= value <= 1000000
unknownUpstreamCharges*integer
Range0 <= value <= 10000000
allocatedCoreMs*number
Range0 <= value <= 1000000000000000
allocatedMemoryGiBMs*number
Range0 <= value <= 1000000000000000
storedGiBDays*number
Range0 <= value <= 1000000000000
nonProxyEgressBytes*number
Range0 <= value <= 1000000000000000000
paymentTransactions*integer
Range0 <= value <= 10000000

Response Body

Estimated sample economics

application/json
  1. response
simulation?
Example Request
curl -X POST 'https://sparkcrawl.com/api/v1/pricing/simulate' \  -H 'Content-Type: application/json' \  -d '{  "validatedSuccesses": 0,  "upstreamUsd": 0,  "billableUpstreamUsd": 0,  "unknownUpstreamCharges": 0,  "allocatedCoreMs": 0,  "allocatedMemoryGiBMs": 0,  "storedGiBDays": 0,  "nonProxyEgressBytes": 0,  "paymentTransactions": 0}'
Example Response
{  "simulation": {}}